# CryptoPayment

## Usage

{% code fullWidth="false" %}

```javascript
import { useState } from 'react';
import { CryptoPayment, Tokens, Chains } from 'resmic'

function App() {

	const [paymentStatus, setPaymentStatus] = useState(false) // Returns bool after the payment
	
	// Your code...

  return (
        <div>
            <CryptoPayment 
                      Address={ {EVM:"0x056397760b973BfB921Bc10Be9DA5034B1e921d7", STARKNET:"0x05Ea419aa3Ad67A9f9721dc38257f8Cc1E032b0Ac83ED6b532Aad3e1778c1B9F"}} // Wallet Address to receive Funds.
                      Chains={[ Chains.Ethereum, Chains.Polygon, Chains.Starknet, Chains.Sepolia]}
                      Tokens ={[Tokens.STARK, Tokens.SETH, Tokens.DAI, Tokens.ETH, Tokens.BNB, Tokens.USDC]} 
                      Amount={100} // Amount in USD
                      noOfBlockConformation={2}
                      setPaymentStatus = {setPaymentStatus}
                      Style = {{displayName: "Make Payment", 
                                backgroundColor: "#007bff",
                                color: "#fff",
                                border: "none",
                                padding: "10px 20px",
                                borderRadius: "4px",
                                fontSize: "18px",
                                cursor: "pointer"}} 
            />
	  </div>

  )

}
```

{% endcode %}

```jsx
```

{% hint style="info" %}
**Important**

Visit list of [supported blockchains](/resmic-sdk/support/blockchain.md) & [supported tokens](/resmic-sdk/support/tokens.md#evm) for more details.
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.resmic.com/resmic-sdk/getting-started/usage/cryptopayment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
